#include "listen2.H"

class testclasstype 
{
public:
    int a;
    int c;
    testclasstype(){printf("\nStandard Konstr. aufgerufen !!!");};
    testclasstype(char *name){printf("Iqe Konstruktor aufgerufen !!!");};
/*    testclasstype(int _a,int _c)
    {
	a=_a;
	c=_c;
    };*/
};
machezeigerelem_iqtype(testclass);
/*
class testclass_zeigerelem_iqtype : public testclasstype, public zeigerelem_iqtype<testclass_zeigerelem_iqtype>
{
  public:
    testclass_zeigerelem_iqtype (char *name) : testclasstype(name){};
};*/



int main()
{
    kette_iqtype<testclass_zeigerelem_iqtype> testclass;
//    testclass_zeigerelem_iqtype *neu=testclass.addafter(testclass.anfang);
    testclass.make_elementadress("test");
    return(0);
}



